<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Livetv;
use App\Models\Radio;
use App\Models\Movies;
class DashboardController extends Controller
{
    public function admin() 
    {
        return redirect()->route('admin.livetv.index');
    }

    public function index()
    {
        $radioCount = Radio::count();
        $livetvCount = Livetv::count();
        $movieCount = Movies::count();;
        
        $data = [
            'livetvCount' => $livetvCount,
            'movieCount' => $movieCount,
            'radioCount' => $radioCount
        ];

        return view('admin.dashboard.index', $data);
    }

    public function privacyPolicy() 
    {
        if($livetv = Livetv::first()) {
            return $livetv->privacy_policy;
        }

        return "<h1>Hello World</h1>";
    }
        
}
