<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\StreamingIssueReport;
use Illuminate\Http\Request;
use App\Http\Repositories\Support\StreamingIssueRepository;
use Laracasts\Flash\Flash;
use App\Http\Traits\ResponseTrait;

class ReportController extends Controller
{
    use ResponseTrait;

    protected $streamingIssueRepository;

    public function __construct(StreamingIssueRepository $streamingIssueRepository)
    {
        $this->streamingIssueRepository = $streamingIssueRepository;

    }

    public function index()
    {   
        $report = $this->streamingIssueRepository->getGroupByLivetv();

        return view('admin.report.index', compact('report')); 
    }

    public function destroy($id) 
    {
        $livetv = StreamingIssueReport::find($id);
        
        if(StreamingIssueReport::where('livetv_list_id', $livetv->livetv_list_id)->delete()) {

            Flash::success($this->deleted());
        }
        else {
            Flash::error($this->tryAgain());
        }

        return redirect()->back();
        
    }

}
