<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Repositories\SettingRepository;
use App\Models\Setting;
use App\Http\Services\SettingService;
use Laracasts\Flash\Flash;
use App\Http\Traits\ResponseTrait;
use App\Http\Requests\SettingRequest;

class SettingController extends Controller
{
    use ResponseTrait;

    protected $settingRepository;

    protected $settingService;

    public function __construct(SettingRepository $settingRepository, SettingService $settingService)
    {
        $this->settingRepository = $settingRepository;

        $this->settingService = $settingService;
    }

    public function index() 
    {
        $setting = $this->settingRepository->findAll();

        return view('admin.setting.index', compact('setting'));
    }

    public function create(Setting $setting)
    {
        return redirect()->route('admin.setting.index');

        $data = $this->settingRepository->getFormData($setting);

        return view('admin.setting.form', $data);
    }

    public function store(SettingRequest $request)
    {
        return redirect()->route('admin.setting.index');

        if($setting = $this->settingService->create($request->only('title', 'description', 'status'))) {
            
            $destinationPath = public_path() . config('dashboard.setting_image');

            if ($fileName = isFileExist($request, $setting, 'image', $destinationPath)) {
                $setting->image = $fileName;
                $setting->update();
            }

            Flash::success($this->success());
        }
        else {
            Flash::error($this->tryAgain());
        }

        return redirect()->route('admin.setting.index');
    }

    public function edit($id)
    {
        $setting = $this->settingRepository->find($id);

        $data = $this->settingRepository->getFormData($setting);

        return view('admin.setting.form', $data);
    }

    public function update(SettingRequest $request, $id)
    {
        $setting = $this->settingRepository->find($id);

        if($settingData = $this->settingService->update($setting, $request->only('title', 'description', 'status'))) {
            $destinationPath = public_path() . config('dashboard.setting_image');

            if ($fileName = isFileExist($request, $setting, 'image', $destinationPath)) {
                $setting->image = $fileName;
                $setting->update();
            }

            Flash::success($this->updated());
        }
        else {
            Flash::error($this->tryAgain());
        }

        return redirect()->route('admin.setting.index');

    }

    public function destroy($id)
    {
        return redirect()->route('admin.setting.index');
        
        $setting = $this->settingRepository->find($id);

        if($this->settingService->delete($setting)) {

            Flash::success($this->deleted());
        }
        else {
            Flash::error($this->tryAgain());
        }

        return redirect()->back();
    }
}
