<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Repositories\SocialLinkRepository;
use App\Models\SocialLink;
use App\Http\Services\SocialLinkService;
use Laracasts\Flash\Flash;
use App\Http\Traits\ResponseTrait;

class SocialLinkController extends Controller
{
    use ResponseTrait;

    protected $socialLinkRepository;

    protected $socialLinkService;

    public function __construct(SocialLinkRepository $socialLinkRepository, SocialLinkService $socialLinkService)
    {
        $this->socialLinkRepository = $socialLinkRepository;

        $this->socialLinkService = $socialLinkService;
    }

    public function index() 
    {
        $socialLink = $this->socialLinkRepository->first();
        
        return view('admin.social.index', compact('socialLink')); 
    }

    public function storeUpdate(Request $request)
    {
        $data = $request->only('facebook', 'instagram', 'twitter', 'whatsapp');

        if($socialLink = $this->socialLinkRepository->first()) {
            $this->socialLinkService->update($socialLink, $data);
            Flash::success($this->updated());
        }
        else {
            $this->socialLinkService->create($data);
            Flash::success($this->success());
        }
        
        return redirect()->route('admin.social-link.index');
    }

   
   
}
