<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Repositories\MoviesRepository;
use App\Models\Movies;
use App\Models\MoviesGenres;
use App\Http\Traits\ResponseTrait;

class MoviesController extends Controller
{
    //
    use ResponseTrait;

    protected $movieRepository;

    public function __construct(MoviesRepository $movieRepository) 
    {
        $this->movieRepository = $movieRepository;
    }

    public function movies() 
    { 
        $content = [];
        if($genresWiseList = $this->movieRepository->genresWiseList()) {
              foreach($genresWiseList as $item) {   
                $data = [];
                $data['title'] = $item['genres'];
                $data['data'] = $item['data'];
                $content[] = $data;
              }
        }   

        return $content;
    }

    public function movieDetail($id)
    {
        return $this->movieRepository->movieDetail($id);
    }

    public function streamingLink($id) 
    {
        if(!$movie = $this->movieRepository->find($id)) {
            return response()->json(['message' => 'No movie found'], 404);
        }

        return [
            'link' => $movie->streaming_link ? $movie->streaming_link : "",
        ];
    
    }


   


}
