<?php

namespace App\Http\Repositories;
use App\Http\Repositories\LanguageRepository;
use App\Http\Repositories\CountryRepository;
use App\Http\Repositories\GenresRepository;
use App\Models\Livetv;
use App\Models\Category;
use App\Models\Country;
use App\Models\Genres;
use App\Models\Language;

class LivetvRepository
{
    public function getFormData($livetv)
	{
        return [
           'livetv'		=> $livetv,
        ];
    }
    
    public function find($id) 
    {
        return Livetv::find($id);
    }

    public function first() 
    {
        return Livetv::first();
    }

    public function mapData($item) 
    {
        $destinationPath = baseUrl() . config('dashboard.livetv_image');

        return [
            "id" => $item->id,
            "country"=> $item->country ? $item->country : "",
            "genres"=> $item->genres ? $item->genres : "",
            "language"=> $item->language ? $item->language : "",
            "name"=> $item->name ? $item->name : "",
            "image"=> $item->image ? $destinationPath ."". $item->image : "",
            "streaming_link"=> $item->streaming_link ? $item->streaming_link : "",
            "description"=> $item->description ? $item->description : "",
            "privacy_policy"=> $item->privacy_policy ? $item->privacy_policy : "",
        ];
    }
}