<?php

namespace App\Http\Repositories;
use App\Models\Movies;
use App\Models\MoviesGenres;
use Illuminate\Support\Arr;
class MoviesRepository
{
    public function getFormData($movies)
	{
        return [
           'movies'		=> $movies,
        ];
    }

    public function findAll()
    {
        return Movies::latest('id')->get();
    }
    
    public function find($id) 
    {
        return Movies::find($id);
    }

    public function genresToArray($genres) 
    {
        $genres = explode(",", $genres);

        $genresArray = [];
        $genresArrayList = [];
        foreach ($genres as $key) {
           $genresArray = Arr::prepend($genresArray, $key, 'text');
            $genresArray = Arr::prepend($genresArray, $key, 'value');
            $genresArrayList = Arr::prepend($genresArrayList,$genresArray);
        }

        return json_encode($genresArrayList);
    }

    public function genresWiseList()
    {
        $movieGenresWise = MoviesGenres::all()->groupBy('name');
        
        return $movieGenresWise->map(function($genres) {
            $genresList['genres'] = $genres[0]->name;
            $genresList['data'] = $genres->take(10)->map(function($item) { 
                $posterPath = baseUrl() . config('dashboard.movie_poster_image');
                $coverPath = baseUrl() . config('dashboard.movie_cover_image');
                return [
                    'id' => $item->movie ? $item->movie->id : null,
                    'name' => $item->movie ? $item->movie->name : null,
                    'poster_image' => $item->movie ? $item->movie->poster_image ? $item->movie->poster_image : null : null,
                    'cover_image' => $item->movie ? $item->movie->cover_image ?  $item->movie->cover_image : null : null,
                    'genres' => $item ? $item->name : null,
                ];
            });

            return $genresList;
        })->values();
        
       
    }

    public function movieDetail($id)
    {
        if(!$movie = $this->find($id)) {
            return response()->json(['message' => 'No Movie found'], 404);
        }
        $posterPath = baseUrl() . config('dashboard.movie_poster_image');
        $coverPath = baseUrl() . config('dashboard.movie_cover_image');
        return [
            'id' => $movie->id,
            'name' => $movie->name,
            'language' => $movie->lang,
            'genres' => $movie->genres,
            'released_date' => $movie->released_date,
            'overview' => $movie->description,
            'poster_image' => $movie->poster_image ? $movie->poster_image : null,
            'cover_image' => $movie->cover_image ? $movie->cover_image : null,
        ];
    }

    



    
    
}