<?php

namespace App\Http\Repositories;
use App\Models\Radio;

class RadioRepository
{
    public function getFormData($radio)
	{
        return [
           'radio'		=> $radio,
        ];
    }

    public function findAll()
    {
        return Radio::latest('id')->get();
    }
    
    public function find($id) 
    {
        return Radio::find($id);
    }

    public function first($id) 
    {
        return Radio::where('id', $id)->first();
    }

    public function radioList()
    {
        $imagePath = baseUrl() . config('dashboard.radio_image');
        
        $radio = Radio::orderBy('id', 'desc')
            ->select()
            ->selectRaw("concat('$imagePath',image) as image")
            ->paginate(10);

        $result['lastPage'] = $radio->lastPage();
        $result['currentPage'] = $radio->currentPage();
        $result['perPage'] = $radio->perPage();
       
        $result['data'] = $radio->getCollection()->transform(function ($data) use($imagePath) {
            return [
                'country' => $data->country != null ? $data->country: "N/A",
                'genres' => $data->genres != null ? $data->genres: "N/A",
                'language' => $data->language != null ? $data->language: "N/A",
                'name' => $data->name != null ? $data->name: "N/A",
                'streaming_link' => $data->streaming_link != null ? $data->streaming_link: "N/A",
                'image' => $data->image,    
                'description' => $data->description != null ? $data->description: "N/A",
            ];
        });

        return $result;
    }



    
}