<?php

namespace App\Http\Services;
use App\Models\Movies;
use App\Models\MoviesGenres;
use App\Models\Genres;

class MoviesService
{
    public function create($data) 
    {
        return Movies::create($data);
    }

    public function update($movies , $data) 
    {
        return $movies->update($data);
    }

    public function delete($movies) 
    {
        return Movies::destroy($movies->id);
    }

    public function createUpdateGenres($request, $movie)
    {
        MoviesGenres::where('movie_id', $movie->id)->delete();
        $genres = explode(",", $movie->genres);
        foreach($genres as $genre) {
            if(!$genresData = Genres::where('name', $genre)->first()) {
                Genres::create(['name' => $genre]);
            }
            $movieGenre = new MoviesGenres();
            $movieGenre->movie_id = $movie->id;
            $movieGenre->name = $genre;
            $movieGenre->released_date = $movie->released_date;
            $movieGenre->lang = $movie->lang;
            $movieGenre->save();
        }
    }
    
}