<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMoviesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('movies', function (Blueprint $table) {
            $table->id();
            $table->longText('name')->nullable();
            $table->string('released_date')->nullable();
            $table->string('genres')->nullable();
            $table->string('lang')->nullable();
            $table->string('duration')->nullable();

            $table->longText('poster_image')->nullable();
            $table->longText('cover_image')->nullable();
            $table->longText('description')->nullable();
            $table->longText('streaming_link')->nullable();
            
            $table->integer('ordering')->default(0);
            $table->boolean('status')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('movies');
    }
}
