<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Admin</title>
  <link rel="stylesheet" href="{{ asset('vendors/feather/feather.css') }}">
  <link rel="stylesheet" href="{{ asset('vendors/ti-icons/css/themify-icons.css') }}">
  <link rel="stylesheet" href="{{ asset('vendors/css/vendor.bundle.base.css') }}">
  <link rel="stylesheet" href="{{ asset('css/vertical-layout-light/style.css') }}">
  <link rel="shortcut icon" href="{{ asset('images/favicon.png') }}" />
  <style>
      .btn-primary {
          background-color: #D19336;
        }

      .btn-primary:hover, .wizard > .actions a:hover {
        background-color: #8A5F1D;
        border-color: #4B4B4B;
      }

      .login .form-control {
        border-radius: 4px !important;
      }

      .content-wrapper {
        background-image: url("/images/background.png");
        
      }
  </style>
</head>

<body>
  <div class="container-scroller login">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth px-0">
        <div class="row w-100 mx-0">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left py-5 px-4 px-sm-5" style="border-radius:10px;">
              <div class="brand-logo" style="text-align:center">
                <img src="{{ asset('images/logo.png') }}" alt="logo">
              </div>
              <h6 class="font-weight-light">Sign in to continue.</h6>
              
              @include('flash::message')
                <form class="pt-3" method="POST" action="{{ route('admin.login-submit') }}">
                  {{ csrf_field() }}
                  <div class="form-group">
                    <input name="email" type="email" class="form-control form-control-lg" id="exampleInputEmail1" placeholder="Email" required>
                    @if ($errors->has('email'))
                        <div class="form-validation validation-icons" style="color:red;">
                        <span class="help-block">
                            {{ $errors->first('email') }}
                        </span>
                        </div>
                    @endif
                  </div>
                  <div class="form-group">
                    <input name="password" type="password" class="form-control form-control-lg" id="exampleInputPassword1" placeholder="Password" required>
                    @if ($errors->has('password'))
                        <div class="form-validation validation-icons" style="color:red;">
                        <span class="help-block">
                            {{ $errors->first('password') }}
                        </span>
                        </div>
                    @endif
                  
                  </div>
                  <div class="mt-3">
                    <button class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" type="submit">SIGN IN</button>
                  </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <script src="{{ asset('vendors/js/vendor.bundle.base.js') }}"></script>
  <script src="{{ asset('js/off-canvas.js') }}"></script>
  <script src="{{ asset('js/hoverable-collapse.js') }}"></script>
  <script src="{{ asset('js/template.js') }}"></script>
  <script src="{{ asset('js/settings.js') }}"></script>
  <script src="{{ asset('js/todolist.js') }}"></script>
</body>

</html>
