@extends('admin.layouts.app')

@section('header', $genres->exists ? 'genres' : 'genres')

@section('panel-color', 'primary')

@section('content')
<div class="content">
	<div class="row">
		<div class="content-top-button mb-2 col-md-12 content-head">
			<div class='pull-left content-title'><h4 style="margin: 0px;">Genres List</h4></div>
			<a href="{{ route('admin.genres.index') }}" class='pull-right btn btn-success btn-sm'>Back</a>
		</div>
	</div>
    @include('flash::message')
	@include('admin.common.errors')
	@if($genres->exists)
		{{Form::model($genres, [
			'route' => ['admin.genres.update', $genres],
			'method' => 'PUT',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@else
		{{ Form::open([
			'url' => route('admin.genres.store') ,
			'method' => 'POST',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@endif

	<div class="form-group">
		{{ Form::label('title', 'Name', ['class' => 'control-label col-sm-12']) }}
		<div class="col-sm-12">
			{{ Form::Text('name', null , ['class'=>'form-control']) }}
		</div>
	</div>

	<div class="form-group">
		{{ Form::label('status', 'Status', ['class' => 'control-label col-sm-3']) }}
		<div class="col-sm-12">
			{{ Form::select('status', [1=>'Active', 0=>'inActive'], null , ['class'=>'form-control']) }}
		</div>
	</div>


	<div class="form-group">
		<div class="row">
			<div class="col-sm-4">
			</div>
			<div class="col-sm-4">
				{{ Form::submit($genres->exists ? 'Save Changes' : 'Save', ['class'=>'btn btn-primary', 'style'=>'width:100%']) }}
			</div>
			<div class="col-sm-4">
			</div>
		</div>
	</div>

	{{ Form::close() }}
</div>
@stop

