
@extends('admin.layouts.app')

@section('header', 'genres')

@section('content')
    <div class="content">
        
        <div class="row">
			<div class="content-top-button mb-2 col-md-12 content-head">
                <div class='pull-left content-title'><h4 style="margin: 0px;">Genres List</h4></div>
                <a href="{{ route('admin.genres.create') }}" class='pull-right btn btn-success btn-sm'><i class='fa fa-plus'></i> Add
                    New</a>
            </div>
        </div>


        <div class="table-responsive">
            @include('flash::message')
            <table id="datatable" class="table table-striped table-bordered dt-responsive" style="width:100%">
            <thead>
                    <th>Action</th>
                    <th>Name</th>
                    <th>Status</th>
                </thead>
                <tbody>
                    @foreach ($genres as $item)
                        <tr>
                            <td>
                                <a href="{{ route('admin.genres.edit', $item->id) }}" style="float:left" type="button" class="btn btn-primary"><i class="fa fa-edit"></i></a>

                                {{ 
                                    Form::open([
                                    'url' => route('admin.genres.destroy', $item->id), 
                                    'method' => 'Delete',
                                    'class' => 'pull-left'
                                ]) 
                                }}
                                <button class="btn btn-danger" onclick="if(!confirm('Are you sure you want to delete ?')) return false;"> <i class='fa fa-trash'> </i></button> 
                                {{ Form::close() }}
                            </td>
                            <td>{{ $item->name }}</td>
                            <td>
                                @if($item->status) 
                                    <span style="color:green;">Active</span> 
                                @else 
                                    <span style="color:red;">Inactive</span> 
                                @endif
                            </td>
                            
                        </tr>
                    @endforeach

                </tbody>
            </table>
        </div>
    </div>

@endsection


@push('scripts')
<script>
$(document).ready(function() {
    $('#datatable').DataTable({
        responsive: true
    });
});
</script>

@endpush