<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Admin</title>
  <link href="{{ asset('/css/font-awesome.min.css') }}" rel="stylesheet">
  <link rel="stylesheet" href="{{ asset('vendors/feather/feather.css') }}">
  <link rel="stylesheet" href="{{ asset('vendors/ti-icons/css/themify-icons.css') }}">
  <link rel="stylesheet" href="{{ asset('vendors/css/vendor.bundle.base.css') }}">
  <link rel="stylesheet" href="{{ asset('css/vertical-layout-light/style.css') }}">
  <link rel="shortcut icon" href="{{ asset('images/favicon.png') }}" />

  <link rel="stylesheet" href="{{ asset('vendors/datatables.net-bs4/dataTables.bootstrap4.css') }}">
  <link rel="stylesheet" href="{{ asset('vendors/ti-icons/css/themify-icons.css') }}">
  <link rel="stylesheet" type="text/css" href="{{ asset('js/select.dataTables.min.css') }}">
  <script type="text/javascript" src="{{ asset('/assets/admin/js/nicEdit-latest.js') }}"></script>
  <link href="{{ asset('assets/admin/css/customadmin.css') }}" rel="stylesheet">
  <link href="{{ asset('assets/admin/css/flat-admin.css') }}" rel="stylesheet">
    <style>
        .pull-right {
            float:right;
        }

        .pull-left {
            float:left;
        }

        .content-head {
            padding-bottom: 10px;
            border-bottom: 1px solid #4B4B4B;
        }

        .btn-primary i {
          padding:10px 0px;
        }

        .btn-primary {
          margin-right:5px;
        }

        .btn-danger i {
          padding:10px 0px;
        
        }
        .row {
          margin:0px;
        }

        .table td img, .jsgrid .jsgrid-table td img {
            width: 50px;
            height: 50px;
            border-radius: 0%;
        }

        .table th, .jsgrid .jsgrid-table th, .table td, .jsgrid .jsgrid-table td {
          white-space: normal;
        }

        .btn-primary {
          background-color: #D19336;
        }

      .btn-primary:hover, .wizard > .actions a:hover {
        background-color: #8A5F1D;
        border-color: #4B4B4B;
      }

      .card.card-dark-blue:hover {
        background: #8A5F1D;
      }

      .card.card-dark-blue {
        background: #D19336;
      }

      .dropdown-item:hover, .dropdown-item:focus {
        background: #505050;
      }
        
    </style>
</head>
<body>
  <div class="container-scroller">
    <!-- partial:partials/_navbar.html -->
    <nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
      <div class="text-center navbar-brand-wrapper d-flex align-items-center justify-content-center">
        <a class="navbar-brand brand-logo mr-5" href="{{ route('admin.dashboard') }}"><img src="{{ asset('images/logo.png') }}" class="mr-2" alt="logo"/></a>
        <a class="navbar-brand brand-logo-mini" href="{{ route('admin.dashboard') }}"><img src="{{ asset('images/logo-mini.png') }}" alt="logo"/></a>
      </div>
      <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end">
        <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
          <span class="icon-menu"></span>
        </button>
        <ul class="navbar-nav navbar-nav-right">
          <li class="nav-item nav-profile dropdown">
            <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown" id="profileDropdown">
              Admin
            </a>
            <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="profileDropdown">
                <a class="dropdown-item" href="{{ route('admin.logout') }}" onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();">
                    <i class="ti-power-off text-primary"></i>
                    Logout
                </a>
                <form id="logout-form" action="{{ route('admin.logout') }}" method="POST"
                    style="display: none;">
                    {{ csrf_field() }}
                </form>
              
            </div>
          </li>
          
        </ul>
        <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
          <span class="icon-menu"></span>
        </button>
      </div>
    </nav>
    <!-- partial -->
    <div class="container-fluid page-body-wrapper">
        <!-- partial:partials/_sidebar.html -->
        @include('admin.layouts.navbar')
      <!-- partial -->
        <div class="content-wrapper">
           <div class="card">
               <div class="card-body">
                    <div id="app">
                      @yield('content')
                    </div>
               </div>
           </div>
        </div>
    </div>
  </div>
    <script src="{{ asset('js/app.js') }}"></script>   
    <script src="{{ asset('vendors/js/vendor.bundle.base.js') }}"></script>
    <script src="{{ asset('vendors/chart.js/Chart.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ asset('vendors/datatables.net-bs4/dataTables.bootstrap4.js') }}"></script>
    <script src="{{ asset('js/dataTables.select.min.js') }}"></script>
    <script src="{{ asset('js/off-canvas.js') }}"></script>
    <script src="{{ asset('js/hoverable-collapse.js') }}"></script>
    <script src="{{ asset('js/template.js') }}"></script>
    <script src="{{ asset('js/settings.js') }}"></script>
    <script src="{{ asset('js/todolist.js') }}"></script>
    <script src="{{ asset('js/dashboard.js') }}"></script>
    <script src="{{ asset('js/Chart.roundedBarCharts.js') }}"></script>
    @stack('scripts')
    
</body>

</html>

