@extends('admin.layouts.app')

@section('header', 'Livetv Detail')

@section('panel-color', 'primary')

@section('content')
<div class="content" style="padding-top:15px;">
	<div class="row">
		<div class="content-top-button mb-2 col-md-12 content-head">
			<div class='pull-left content-title'><h4 style="margin: 0px;">Livetv Content</h4></div>
		</div>
	</div>
	@include('admin.common.errors')
	@include('flash::message')
	@if($livetv)
		{{Form::model($livetv, [
			'route' => ['admin.livetv.update', $livetv],
			'method' => 'PUT',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@else          
		{{ Form::open([
			'url' => route('admin.livetv.store') ,
			'method' => 'POST',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@endif
		<div class="form-group">
			<div class="row">
				<div class="col-sm-6">
					{{ Form::label('name', 'Language', ['class' => 'control-label']) }}
					{{ Form::text('language', null, ['class'=>'form-control']) }}
				</div>

				<div class="col-sm-6">
					{{ Form::label('name', 'Country', ['class' => 'control-label']) }}
					{{ Form::text('country', null, ['class'=>'form-control']) }}
				</div>
			</div>
		</div>
		
		<div class="form-group">
			<div class="row">
				<div class="col-sm-6">
					{{ Form::label('name', 'Name', ['class' => 'control-label']) }}
					{{ Form::Text('name', null , ['class'=>'form-control']) }}
				</div>
				<div class="col-sm-6">
					{{ Form::label('name', 'Genres', ['class' => 'control-label ']) }}
					@if($livetv->exists)
						<input type="text" multiple class="multiplechannels form-control" value="" data-initial-value='{{ $genres }}' data-url="{{ route('admin.genres-list') }}" data-load-once="true" name="genres"/>
					@else
						<input type="text" multiple class="multiplechannels form-control" value="" data-initial-value='[]' data-url="{{ route('admin.genres-list') }}" data-load-once="true" name="genres"/>
					@endif
				</div>
				
			</div>
		</div>
		<div class="form-group">
			{{ Form::label('streaming_link', 'Streaming Link', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				{{ Form::Text('streaming_link', null , ['class'=>'form-control']) }}
			</div>
		</div>


		<div class="form-group">
			{{ Form::label('name', 'Description', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				{{ Form::textarea('description', null , ['class'=>'form-control', 'style' => 'height:100px; width:100%;  ']) }}
			</div>
		</div>

		<div class="form-group">
			{{ Form::label('image', 'Image', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				@if($livetv)
					<div class="">
						<img src="{{ asset(config('dashboard.livetv_image') . $livetv->image) }}" style="width:100px;" class="img-responsive">
					</div>
				@endif
				{{ Form::file('image', ['class'=>'form-control', 'accept' => 'image/x-png,image/jpeg', 'style' => 'margin: 20px 0px;']) }}
				<span class="help-block">
					<strong>Min:50x50, Max:500x500, Mime:jpg/png</strong>
				</span>
			</div>
		</div>
		<div class="form-group">
			{{ Form::label('name', 'Privacy Policy', ['class' => 'control-label col-sm-12']) }}
			<div class="form-group">
				<div class="col-sm-12">
				{{ Form::Text('privacy_policy', null , ['class'=>'form-control']) }}
				</div>
			</div>
		</div>
		
		<div class="col-sm-12" >
			<div class="form-group">
				<div class="col-sm-12">
					{{ Form::submit('Save' , ['class'=>'btn btn-primary col-sm-4 offset-sm-4']) }}
				</div>
			</div>
		</div>
	
	</div>
	


	

	{{ Form::close() }}


<link href="{{ asset('assets/admin/css/fastsearch.css?v=1.0.1') }}" rel="stylesheet">
<script src="{{ asset('assets/admin/js/fastsearch.js') }}" defer></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script type="text/javascript">
    $(document).ready(function (e) {
        $('.multiplechannels').fastselect();
    });
</script>

@stop

