
@extends('admin.layouts.app')

@section('header', 'VOD')

@section('content')
    <div class="content">
        
        <div class="row">
			<div class="content-top-button mb-2 col-md-12 content-head">
                <div class='pull-left content-title'><h4 style="margin: 0px;">VOD List</h4></div>
                <a href="{{ route('admin.movies.create') }}" class='pull-right btn btn-success btn-sm'><i class='fa fa-plus'></i> Add
                    New</a>
            </div>
        </div>

        <div class="table-responsive">
            @include('flash::message')
            <table id="datatable" class="table table-striped table-bordered dt-responsive" style="width:100%">
            <thead>
                    <th>Action</th>
                    <th>Name</th>
                    <th>Genres</th>
                    <th>Description</th>
                    <th>Cover Image</th>
                    <th>Poster Image</th>
                </thead>
                <tbody>
                    @foreach ($movies as $item)
                        <tr>
                            <td>
                                <a href="{{ route('admin.movies.edit', $item->id) }}" style="float:left" type="button" class="btn btn-primary"><i class="fa fa-edit"></i></a>

                                {{ 
                                    Form::open([
                                    'url' => route('admin.movies.destroy', $item->id), 
                                    'method' => 'Delete',
                                    'class' => 'pull-left'
                                ]) 
                                }}
                                <button class="btn btn-danger" onclick="if(!confirm('Are you sure you want to delete ?')) return false;"> <i class='fa fa-trash'> </i></button> 
                                {{ Form::close() }}
                            </td>
                            <td>{{ $item->name }}</td>
                            <td>{{ $item->genres }}</td>
                            <td>{{ substr($item->description, 0, 100) }}</td>
                            <td>
                                @if($item->cover_image)
                                    <img src="{{ asset($item->cover_image) }}" width="100" height="100" class="img-responsive table-img" alt="" style="height:100px; width:150px">
                                @else
                                    <img src="{{ asset('/images/img_logo_placeholder.png') }}" width="100" height="100" class="img-responsive table-img" style="height:100px; width:150px">
                                @endif
                            </td>
                            <td>
                                @if($item->poster_image)
                                    <img src="{{ asset($item->poster_image) }}" width="100" height="100" class="img-responsive table-img" alt="" style="height:150px; width:100px">
                                @else
                                    <img src="{{ asset('/images/img_logo_placeholder.png') }}" width="100" height="100" class="img-responsive table-img" style="height:150px; width:100px">
                                @endif
                            </td>
                            
                        </tr>
                    @endforeach 

                </tbody>
            </table>
        </div>
    </div>

@endsection


@push('scripts')
<script>
$(document).ready(function() {
    $('#datatable').DataTable({
        responsive: true
    });
});
</script>

@endpush