@extends('admin.layouts.app')

@section('header', $radio->exists ? 'Radio' : 'Radio')

@section('panel-color', 'primary')

@section('content')
<div class="content">
	<div class="row">
		<div class="content-top-button mb-2 col-md-12 content-head">
			<div class='pull-left content-title'><h4 style="margin: 0px;">Radio List</h4></div>
			<a href="{{ route('admin.radio.index') }}" class='pull-right btn btn-success btn-sm'>Back</a>
		</div>
	</div>
    @include('flash::message')
	@include('admin.common.errors')
	@if($radio->exists)
		{{Form::model($radio, [
			'route' => ['admin.radio.update', $radio],
			'method' => 'PUT',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@else
		{{ Form::open([
			'url' => route('admin.radio.store') ,
			'method' => 'POST',
			'class' => 'form-horizontal',
			'enctype'=>'multipart/form-data'
			])
		}}
	@endif

	    <div class="form-group">
			<div class="col-sm-12">
				{{ Form::label('name', 'Country', ['class' => 'control-label']) }}
				{{ Form::text('country', null, ['class'=>'form-control']) }}
			</div>
			
		</div>
		
		<div class="form-group">
			<div class="col-sm-12">
				{{ Form::label('name', 'Name', ['class' => 'control-label']) }}
				{{ Form::Text('name', null , ['class'=>'form-control']) }}
			</div>
		</div>
		<div class="form-group">
			{{ Form::label('streaming_link', 'Streaming Link', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				{{ Form::Text('streaming_link', null , ['class'=>'form-control']) }}
			</div>
		</div>

		<div class="form-group">
			{{ Form::label('name', 'Description', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				{{ Form::textarea('description', null , ['class'=>'form-control', 'style' => 'height:100px; width:100%;  ']) }}
			</div>
		</div>

		<div class="form-group">
			{{ Form::label('image', 'Image', ['class' => 'control-label col-sm-12']) }}
			<div class="col-sm-12">
				@if($radio)
					<div class="">
						<img src="{{ asset(config('dashboard.radio_image') . $radio->image) }}" style="width:100px;" class="img-responsive">
					</div>
				@endif
				{{ Form::file('image', ['class'=>'form-control', 'accept' => 'image/x-png,image/jpeg', 'style' => 'margin: 20px 0px;']) }}
				<span class="help-block">
					<strong>Min:50x50, Max:500x500, Mime:jpg/png</strong>
				</span>
			</div>
		</div>
	
	<div class="form-group">
		<div class="row">
			<div class="col-sm-4">
			</div>
			<div class="col-sm-4">
				{{ Form::submit($radio->exists ? 'Save Changes' : 'Save', ['class'=>'btn btn-primary', 'style'=>'width:100%']) }}
			</div>
			<div class="col-sm-4">
			</div>
		</div>
	</div>

	{{ Form::close() }}
</div>

@stop

