
@extends('admin.layouts.app')

@section('header', 'Streaming Issue Report')

@section('seconday-header')
@section('content')
<div class="row">
    <div class="content-top-button mb-2 col-md-12 content-head">
        <div class='pull-left content-title'><h4 style="margin: 0px;">Streaming Report</h4></div>
    </div>
</div>
<div class="content">
        <div class="table-responsive">
            @include('flash::message')
            <table id="datatable" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
			<thead>
				<th>Action</th>
                <th>Livetv Name</th>
                <th>Total Number Of Reports</th>
            </thead>
            <tbody>
                @foreach ($report as $item)
                    <tr>
                        <td>
                            {{ 
                                Form::open([
                                'url' => route('admin.streaming-report.destroy', $item['id']), 
                                'method' => 'Delete',
                                'class' => 'pull-left'
                            ]) 
                            }}
                            <button class="btn btn-danger" onclick="if(!confirm('Are you sure you want to delete ?')) return false;"> <i class='fa fa-trash'> </i></button> 
                            {{ Form::close() }}
                        </td>
                        <td>{{ $item['name'] }}</td>
                        <td>{{ $item['count'] }}</td>
                    </tr>
                @endforeach

            </tbody>
		</table>
	</div>

@endsection

@push('scripts')
<script>
$(document).ready(function() {
    $('#datatable').DataTable({
        responsive: true
    });
});
</script>

@endpush