
@extends('admin.layouts.app')

@section('header', 'Setting')

@section('content')
    <div class="content">
        <div class="row">
            <div class="content-top-button mb-2 col-md-12 content-head">
                <div class='pull-left content-title'><h4 style="margin: 0px;">Settings List</h4></div>
            </div>
        </div>
        <div class="table-responsive">
            @include('flash::message')
            <table id="datatable" class="table table-striped table-bordered dt-responsive" style="width:100%">
            <thead>
                    <th>Action</th>
                    <th>Title</th>
                    <th>Description</th>
                    <th>Status</th>
                </thead>
                <tbody>
                    @foreach ($setting as $item)
                        <tr>
                            <td>
                                <a href="{{ route('admin.setting.edit', $item->id) }}" style="float:left" type="button" class="btn btn-primary"><i class="fa fa-edit"></i></a>
                            </td>
                            <td>{{ $item->title }}</td>
                            <td>{{ substr($item->description, 0, 50) }}</td>
                            <td>
                                @if($item->status) 
                                    <span style="color:green;">Active</span> 
                                @else 
                                    <span style="color:red;">Inactive</span> 
                                @endif
                            </td>
                            
                        </tr>
                    @endforeach

                </tbody>
            </table>
        </div>
    </div>

@endsection


@push('scripts')
<script>
$(document).ready(function() {
    $('#datatable').DataTable({
        responsive: true
    });
});
</script>

@endpush