<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('livetv', 'Api\LivetvController@index');

Route::get('radio', 'Api\RadioController@radioList');


// feedback
Route::get('/feedback/{id}/edit', 'Api\FeedbackController@edit');

Route::post('/feedback/store', 'Api\FeedbackController@store');

Route::post('/feedback/{id}/update', 'Api\FeedbackController@update');

Route::get('/social-link', 'Api\SocialLinkController@index');

Route::get('/menu', 'Api\SettingController@menu');

Route::get('movies', 'Api\MoviesController@movies');
Route::get('movie/{id}/detail', 'Api\MoviesController@movieDetail');
Route::get('movie/{id}/streaming-link', 'Api\MoviesController@streamingLink');
