<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/clear', function() {

   Artisan::call('cache:clear');
   Artisan::call('config:clear');
   Artisan::call('config:cache');
   Artisan::call('view:clear');

   return "Cleared!";

});

Route::get('/login', function () {
    return view('welcome');
})->name('login');


$adminGroup = [
    'prefix' => 'admin',
    "as" => "admin.",
    "namespace" => "Admin",
];
Route::get('/privacy-policy', 'Admin\DashboardController@privacyPolicy');

Route::get('/', 'Admin\DashboardController@admin');

Route::group($adminGroup, function () {

    Route::get('/login', 'AuthController@showLoginForm')->name('login');

    Route::post('/login', 'AuthController@login')->name('login-submit');

    
    Route::group(["middleware" => "auth:admin"], function () {

        Route::post('/logout', 'AuthController@logout')->name('logout');

        Route::get('/', 'DashboardController@admin');

        Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

        Route::resource('livetv', 'LivetvController');
     
        Route::resource('notification', 'NotificationController');

        Route::resource('feedback', 'FeedbackController');
        
        Route::get('streaming/report', 'ReportController@index')
            ->name('report.index');

        Route::delete('streaming/report/{id}', 'ReportController@destroy')
            ->name('streaming-report.destroy');
    
        Route::get('ad-setting', 'AdSettingController@index')
            ->name('ad-setting.index');
        Route::post('ad-setting/store', 'AdSettingController@storeUpdate')
            ->name('ad-setting.store');
        Route::put('ad-setting/{id}/update', 'AdSettingController@storeUpdate')
            ->name('ad-setting.update');

        Route::get('social-link', 'SocialLinkController@index')
            ->name('social-link.index');
        Route::post('social-link/store', 'SocialLinkController@storeUpdate')
            ->name('social-link.store');
        Route::put('social-link/{id}/update', 'SocialLinkController@storeUpdate')
            ->name('social-link.update');

        Route::resource('radio', 'RadioController');

        Route::resource('setting', 'SettingController');

        Route::resource('movies', 'MoviesController');

        Route::resource('genres', 'GenresController');
        Route::get('/genres-list', "GenresController@genresList")
            ->name('genres-list');



    });


});
